module Singularity
  class Configuration
    attr_accessor :auth_path, :session_prefix, :profile_prefix, :token_prefix, :warden_user_key

    def initialize
      reset
    end

    def reset
      @auth_path       = 'http://localhost:9292'
      @session_prefix  = 'rack_session'
      @profile_prefix  = 'profile'
      @token_prefix    = 'singularity_session_token'
      @warden_user_key = 'warden.user.default.key'
    end
  end
end
